|  | Home · All Classes · Modules

# QPauseAnimation Class Reference
[QtCore module]

The QPauseAnimation class provides a pause for QSequentialAnimationGroup. More...

Inherits QAbstractAnimation.

### Methods

- __init__ (self, QObject parent = None)
- __init__ (self, int, QObject parent = None)
- int duration (self)
- bool event (self, QEvent)
- setDuration (self, int)
- updateCurrentTime (self, int)

## Detailed Description

The QPauseAnimation class provides a pause for QSequentialAnimationGroup.

If you wish to introduce a delay between animations in a QSequentialAnimationGroup, you can insert a QPauseAnimation. This class does not animate anything, but does not finish before a specified number of milliseconds have elapsed from when it was started. You specify the duration of the pause in the constructor. It can also be set directly with setDuration().

It is not necessary to construct a QPauseAnimation yourself. QSequentialAnimationGroup provides the convenience functions addPause() and insertPause(). These functions simply take the number of milliseconds the pause should last.

See also QSequentialAnimationGroup.

## Method Documentation

### QPauseAnimation.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a QPauseAnimation. parent is passed to QObject's constructor. The default duration is 0.

### QPauseAnimation.__init__ (self, int, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a QPauseAnimation. msecs is the duration of the pause. parent is passed to QObject's constructor.

### int QPauseAnimation.duration (self)

### bool QPauseAnimation.event (self, QEvent)

Reimplemented from QObject.event().

### QPauseAnimation.setDuration (self, int)

### QPauseAnimation.updateCurrentTime (self, int)

Reimplemented from QAbstractAnimation.updateCurrentTime().